{% extends 'base.html.twig' %}
{% block body %}
    <style>
        .custom-file-label { opacity: 0; }
        .custom-file-input { opacity: 1; }
    </style>
    <main class='main-content bgc-grey-100'>
        <div id='mainContent'>
            <h1>Aggiunta massiva degli ospiti - fase di inserimento dei dati</h1>

            <form action="{{ path('guest_add_massive') }}" method="post" enctype="multipart/form-data">
                {{ form_errors(form) }}
                <div class="row sendBtnArea">
                    <div class="col-sm-4">
                        {{ form_label(form.file) }}<br>
                        {{ form_widget(form.file, {'attr':{'class' : 'form-control'}}) }}
                    </div>
                    <div class="col-sm-8">
                        <div class="alert alert-info">
                            <h3>Attenzione!</h3>
                            <ul>
                                <li>Il file MS Excel deve avere come prima colonna il <strong>cognome</strong>
                                    e nella seconda colonna il <strong>nome</strong> dell'utente ospite per
                                    cui creare l'account.
                                </li>
                                <li>
                                    Verranno elaborate tutte le right fino alla prima con cognome vuoto.
                                </li>
                                <li>Verrà restituito un nuovo file con nella terza colonna lo <strong>username</strong>
                                    e nella quarta colonna la <strong>password</strong> per l'accesso.
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="mb-3">
                    {{ form_label(form.identified_by) }}
                    {{ form_widget(form.identified_by, {'attr':{'class' : 'form-control'}}) }}
                </div>
                <div class="mb-3">
                    {{ form_label(form.starting_from) }}
                    {{ form_widget(form.starting_from, {'attr':{'class' : 'form-control'}}) }}
                </div>
                <div class="mb-3">
                    {{ form_label(form.ending_to) }}
                    {{ form_widget(form.ending_to, {'attr':{'class' : 'form-control'}}) }}
                </div>
                {{ form_rest(form) }}

                <div class="row sendBtnArea">
                    <div class="col-lg-6 mb-2 d-grid gap-2 d-lg-flex align-items-center">
                        <a href="{{ path('guest') }}" class="btn btn-info mb-xl-0 mb-md-3">
                            Ritorna alla lista
                        </a>
                    </div>
                    <div class="col-lg-6 mb-2 d-grid gap-2 d-lg-flex align-items-center justify-content-lg-end">
                        <button type="submit" class="btn btn-success mb-xl-0 mb-md-3">Aggiungi gli ospiti indicati nel file caricato</button>
                    </div>
                </div>
            </form>
        </div>
    </main>
{% endblock %}
